{ pkgs, config, ... }:
let
  netboot_efi = pkgs.fetchurl rec {
    version = "2.0.82";
    url = "https://github.com/netbootxyz/netboot.xyz/releases/download/${version}/netboot.xyz.efi";
    hash = "sha256-cO8MCkroQ0s/j8wnwwIWfnxEvChLeOZw+gD4wrYBAog=";
  };
in
{
  services.pixiecore = rec {
    enable = true;
    openFirewall = true;
    kernel = "${netboot_efi}";
    extraArguments = [ "-d" "--ipxe-efi64" "${kernel}" ];
  };
}
