let
  lib = (import <nixpkgs> { }).lib;
  readpubkeys =
    user:
    builtins.filter (k: k != "") (
      lib.splitString "\n" (builtins.readFile (../../../pubkeys + "/${user}.keys"))
    );
  keys = 
    (readpubkeys "sinavir")
    ++ (readpubkeys "hackens-host")
    ++ (readpubkeys "catvayor")
    ++ (readpubkeys "raito")
    ++ (readpubkeys "gdd")
    ++ (readpubkeys "backslash");
in
{
  "matterbridge-env.age".publicKeys = keys;
  "snipeit.age".publicKeys =
    keys;
  "ragbJWT.age".publicKeys =
    keys;
  "ragb.age".publicKeys =
    keys;
  "django.age".publicKeys =
    keys;
  "django-gestiohackens.age".publicKeys =
    keys;
  "wg-key.age".publicKeys =
    keys;
  "prometheus-webconf".publicKeys =
    keys;
}
